List Product Drafts
Retrieves a paginated list of all product drafts for the current app, including draft metadata, changeset summaries, and scheduled publication times.
GET
/api/v1/{team_slug}/{app_slug}/draftsAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Query parameters
pageintegerPage number
default: 1
per-pageintegerItems per page
default: 20
Responses
200
Drafts retrieved successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraft[]requiredShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraftapp_idstringchangesetgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductDraftChangesetShow propertiesHide properties
attributesstring[]categoriesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.DraftCategoryRef[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftCategoryRefidstringis_main_categorybooleanorderintegercollectionsstring[]descriptionstringhtml_descriptionstringhtml_short_descriptionstringimagesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.DraftImageRef[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftImageRefidstringpriorityintegermeta_descriptionstringmeta_titlestringnamestringshort_descriptionstringtagsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.DraftTagRef[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.DraftTagRefkeystringorderintegercreated_atstringidstringproduct_idstringpublish_atstring | nullupdated_atstring | nullsuccessbooleantotalintegertotal_pagesinteger401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired